Apache Struts API Documentation: Class WriteTag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.bean
Class WriteTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.bean.WriteTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class WriteTag
extends javax.servlet.jsp.tagext.TagSupport

Tag that retrieves the specified property of the specified bean, converts it to a String representation (if necessary), and writes it to the current output stream, optionally filtering characters that are sensitive in HTML.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected boolean` | `filter` Filter the rendered output for characters that are sensitive in HTML?
`protected boolean` | `ignore` Should we ignore missing beans and simply output nothing?
`protected java.lang.String` | `name` Name of the bean that contains the data we will be rendering.
`protected java.lang.String` | `property` Name of the property to be accessed on the specified bean.
`protected java.lang.String` | `scope` The scope to be searched to retrieve the specified bean.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext, parent, values`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`WriteTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`boolean` | `getFilter()`
`boolean` | `getIgnore()`
`java.lang.String` | `getName()`
`java.lang.String` | `getProperty()`
`java.lang.String` | `getScope()`
`void` | `release()` Release all allocated resources.
`void` | `setFilter(boolean filter)`
`void` | `setIgnore(boolean ignore)`
`void` | `setName(java.lang.String name)`
`void` | `setProperty(java.lang.String property)`
`void` | `setScope(java.lang.String scope)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### filter

    protected boolean filter

  Filter the rendered output for characters that are sensitive in HTML?

### ignore

    protected boolean ignore

  Should we ignore missing beans and simply output nothing?

### name

    protected java.lang.String name

  Name of the bean that contains the data we will be rendering.

### property

    protected java.lang.String property

  Name of the property to be accessed on the specified bean.

### scope

    protected java.lang.String scope

  The scope to be searched to retrieve the specified bean.

Constructor Detail

### WriteTag

    public WriteTag()

Method Detail

### getFilter

    public boolean getFilter()

### setFilter

    public void setFilter(boolean filter)

### getIgnore

    public boolean getIgnore()

### setIgnore

    public void setIgnore(boolean ignore)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getProperty

    public java.lang.String getProperty()

### setProperty

    public void setProperty(java.lang.String property)

### getScope

    public java.lang.String getScope()

### setScope

    public void setScope(java.lang.String scope)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag.
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release all allocated resources.
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation